# print running time
using JLD
load("anova_sim_result.jld", "nratio", "result", "vcratio")

# showwhat = 1 # print iterations
# showwhat = 3 # print run time
# showwhat = 5 # print objective values
# showwhat = 7 # print MSE

println("\\begin{tabular}{rrrrrr}")
println("\\toprule")
println("\$\\sigma^2_{1}/\\sigma^2_{e}\$ & Method &
\\multicolumn{4}{c}{\$c=\$ \\# observations per combination} \\\\")
println("\\cline{3-6}")
println("& & 5 & 10 & 20 & 50  \\\\")
println("\\midrule")
for j in 1:nratio
    @printf("%2.2f & MM & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) \\\\\n", vcratio[j],
    result[showwhat, 1, 1, j], result[showwhat + 1, 1, 1, j], result[showwhat, 1, 2, j], result[showwhat + 1, 1, 2, j],
    result[showwhat, 1, 3, j], result[showwhat + 1, 1, 3, j], result[showwhat, 1, 4, j], result[showwhat + 1, 1, 4, j])
    
    @printf("& EM & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) \\\\\n",
    result[showwhat, 2, 1, j], result[showwhat + 1, 2, 1, j], result[showwhat, 2, 2, j], result[showwhat + 1, 2, 2, j],
    result[showwhat, 2, 3, j], result[showwhat + 1, 2, 3, j], result[showwhat, 2, 4, j], result[showwhat + 1, 2, 4, j])
    
    @printf("& FS & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) \\\\\n",
    result[showwhat, 3, 1, j], result[showwhat + 1, 3, 1, j], result[showwhat, 3, 2, j], result[showwhat + 1, 3, 2, j],
    result[showwhat, 3, 3, j], result[showwhat + 1, 3, 3, j], result[showwhat, 3, 4, j], result[showwhat + 1, 3, 4, j])
    if showwhat == 1
        if j < nratio; println("[0.25cm]"); end
        continue
    end

    @printf("& lme4 & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) \\\\\n",
    result[showwhat, 4, 1, j], result[showwhat + 1, 4, 1, j], result[showwhat, 4, 2, j], result[showwhat + 1, 4, 2, j],
    result[showwhat, 4, 3, j], result[showwhat + 1, 4, 3, j], result[showwhat, 4, 4, j], result[showwhat + 1, 4, 4, j])
    if j < nratio; println("[0.25cm]"); end
end
println("\\bottomrule")
println("\\end{tabular}")
