# print running time
using JLD
load("mendel29_sim_result.jld", "nratio", "mendelresult", "vcratio")

# print out the results of runtime, iteration and obj in latex format
# mse_β = zeros(2, Nmethod, p, Nratio);
println("\\begin{tabular}{rrrrr}")
println("\\toprule")
println("\$\\sigma^2_{a}/\\sigma^2_{e}\$ & Method &
Iteration & Runtime (ms) & Objective  \\\\")
println("\\midrule")
for j in 1:nratio
    @printf(" %2.2f & MM & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f)  \\\\\n", vcratio[j],
    mendelresult[1, 1, j], mendelresult[2, 1, j], mendelresult[3, 1, j],
    mendelresult[4, 1, j], mendelresult[5, 1, j], mendelresult[6, 1, j])

    @printf(" & EM & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f)  \\\\\n",
    mendelresult[1, 2, j], mendelresult[2, 2, j], mendelresult[3, 2, j],
    mendelresult[4, 2, j], mendelresult[5, 2, j], mendelresult[6, 2, j])
    
    @printf(" & FS & %5.2f(%3.2f) & %5.2f(%3.2f) & %5.2f(%3.2f) \\\\\n",
    mendelresult[1, 3, j], mendelresult[2, 3, j], mendelresult[3, 3, j],
    mendelresult[4, 3, j], mendelresult[5, 3, j], mendelresult[6, 3, j])

    @printf("& lme4 & -- & %5.2f(%3.2f) & %5.2f(%3.2f)  \\\\\n",
    mendelresult[3, 4, j], mendelresult[4, 4, j],
    mendelresult[5, 4, j], mendelresult[6, 4, j])
    if j < nratio; println("[0.25cm]"); end
end
println("\\bottomrule")
println("\\end{tabular}")
