%%
% This is the script to generate the Log-likelihood surface of a
% 2-variance component model and the surrogate functions of EM and MM
% minorizing the objective function at point (18.5; 0.7),
% i.e. Fig 1 in the paper
%
% Author: Liuyi Hu lhu@ncsu.edu
%

%% Load the data sets
clear;
% data
%y =dlmread('/Users/huliuyi/Documents/vcmm/Mendel29/y.txt');
%y = vec(y);
%n = length(y);
%X =dlmread('/Users/huliuyi/Documents/project/vcmm/Mendel29/X.txt');
%kinship = dlmread('/Users/huliuyi/Documents/vcmm/Mendel29/kinship.txt');
%kinship_MoM = dlmread('/Users/huliuyi/Documents/vcmm/Mendel29/MoM.txt');
%kinship_GRM = dlmread('/Users/huliuyi/Documents/vcmm/Mendel29/GRM.txt');
%V1 = kinship_GRM;
%V2 = eye(n);
%b = [33; 6];
%res = y - X * b;% Y - X\beta
%x1axis = 1:.1:20;
%x2axis = 0.05:0.05:4;
x1axis = [17.7:0.01: 19];
x2axis = [0.65:0.01:0.8];
n1=length(x1axis);
n2=length(x2axis);
[sigma1, sigma2] = meshgrid(x1axis, x2axis);

%Const = -0.5*n*log(2*pi);
% Input the Log likelihood function

%logL = arrayfun(@(a1,a2) Const-0.5*(log(det(a1*V1 + a2*V2)) + ...
%                dot(res, (a1*V1 + a2*V2)\res)), sigma1, sigma2) + Const;

%sigma_t1=10; sigma_t2=2;
%Omega_t = sigma_t1 * V1 + sigma_t2 * V2;
logL = dlmread('logL.txt');
Q_EM = dlmread('g_EM.txt');
G_MM = dlmread('g_MM.txt');
%Plot the target functions
figure;
set(gca, 'FontSize', 15);
hold on;
logsurf = surf(sigma1,sigma2,logL);
EMsurf = surf(sigma1,sigma2,Q_EM);
MMsurf = mesh(sigma1,sigma2,G_MM);
set(logsurf,'facealpha',0.8);
set(logsurf,'edgecolor','none');
set(logsurf,'facecolor',[1 0 0]);
set(EMsurf,'facealpha',0.5);
set(EMsurf,'facecolor',[0 1 0]);
set(EMsurf,'edgecolor','none');
set(MMsurf,'facealpha',0.5);
set(MMsurf,'facecolor','none');
set(MMsurf,'edgecolor',[0 0 0]);
view(-50,10);
xlabel('\sigma_1');
ylabel('\sigma_2');
legend('logL', 'EM',  'MM');
% print -depsc2 ..\..\manuscripts\notes\MMvsEM.eps
